## org.eclipse.m2m.atl.dsls.core
Class EMFTCSInjector.EMFInjectorAdapter

    java.lang.Object
      org.eclipse.m2m.atl.dsls.core.EMFTCSInjector.EMFInjectorAdapter

All Implemented Interfaces:
  ModelAdapter

Enclosing class:
  EMFTCSInjector

    public class EMFTCSInjector.EMFInjectorAdapter

extends java.lang.Object
implements ModelAdapter

Constructor Summary
`EMFTCSInjector.EMFInjectorAdapter(java.lang.Object model)`

Method Summary
`java.lang.Object` `createElement(java.lang.String typeName)`
`java.lang.Object` `createEnumLiteral(java.lang.String name)`
`java.lang.Object` `get(java.lang.Object modelElement, java.lang.String name)`
`java.util.Set` `getElementsByType(java.lang.String typeName)`
`java.lang.Object` `getModel()`
`java.lang.String` `getString(java.lang.Object ame, java.lang.String propName)`
`java.lang.Object` `getType(java.lang.Object value)`
`boolean` `isAModelElement(java.lang.Object me)`
`boolean` `isCandidate(java.lang.Object ame, java.lang.String typeName)`
`void` `set(java.lang.Object modelElement, java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFTCSInjector.EMFInjectorAdapter

    public EMFTCSInjector.EMFInjectorAdapter(java.lang.Object model)

Method Detail

### getModel

    public java.lang.Object getModel()

  Specified by:
    `getModel` in interface `ModelAdapter`

### get

    public java.lang.Object get(java.lang.Object modelElement,
                                java.lang.String name)

  Specified by:
    `get` in interface `ModelAdapter`

### createElement

    public java.lang.Object createElement(java.lang.String typeName)

  Specified by:
    `createElement` in interface `ModelAdapter`

### getElementsByType

    public java.util.Set getElementsByType(java.lang.String typeName)

  Specified by:
    `getElementsByType` in interface `ModelAdapter`

### set

    public void set(java.lang.Object modelElement,
                    java.lang.String name,
                    java.lang.Object value)

  Specified by:
    `set` in interface `ModelAdapter`

### isCandidate

    public boolean isCandidate(java.lang.Object ame,
                               java.lang.String typeName)

  Specified by:
    `isCandidate` in interface `ModelAdapter`

### getType

    public java.lang.Object getType(java.lang.Object value)

  Specified by:
    `getType` in interface `ModelAdapter`

### isAModelElement

    public boolean isAModelElement(java.lang.Object me)

  Specified by:
    `isAModelElement` in interface `ModelAdapter`

### getString

    public java.lang.String getString(java.lang.Object ame,
                                      java.lang.String propName)

  Specified by:
    `getString` in interface `ModelAdapter`

### createEnumLiteral

    public java.lang.Object createEnumLiteral(java.lang.String name)

  Specified by:
    `createEnumLiteral` in interface `ModelAdapter`

Copyright 2007 IBM Corporation and others. All Rights Reserved.